List task attachments
GET
/v1/tasks/{task_id}/attachmentsReturns a collection of attachments for the given task.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
page_start_id | query | integer (int32) | The page start ID. |
page_limit | query | integer (int32) | The default page size |
task_idrequired | path | integer (int32) | A task ID |
Responses
200A list of attachments
object
- attachmentsarrayarray<object>itemsobject
attachment model
- idinteger
- file_namestring
- user_idinteger
- task_idinteger
- created_atstring
- updated_atstring
Example response
{
"attachments": [
{
"id": 0,
"file_name": "string",
"user_id": 0,
"task_id": 0,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
]
}400Invalid parameters
object
HubstaffTasks_Public_V1_Entities_Error model
- codestring
Error code
- errorstring
Descriptive error message
Example response
{
"code": "string",
"error": "string"
}401Unauthorized
object
HubstaffTasks_Public_V1_Entities_Error model
- codestring
Error code
- errorstring
Descriptive error message
Example response
{
"code": "string",
"error": "string"
}403API access is only for organizations on an active plan
object
HubstaffTasks_Public_V1_Entities_Error model
- codestring
Error code
- errorstring
Descriptive error message
Example response
{
"code": "string",
"error": "string"
}404Could not find record
object
HubstaffTasks_Public_V1_Entities_Error model
- codestring
Error code
- errorstring
Descriptive error message
Example response
{
"code": "string",
"error": "string"
}429Rate limit exceeded
object
HubstaffTasks_Public_V1_Entities_Error model
- codestring
Error code
- errorstring
Descriptive error message
Example response
{
"code": "string",
"error": "string"
}